BeanMetaData (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.bean
Class BeanMetaData

    java.lang.Object
      org.dom4j.bean.BeanMetaData

public class BeanMetaData
extends Object

`BeanMetaData` contains metadata about a bean class.

Version:
  $Revision: 1.10 $
Author:
  James Strachan

Field Summary
`protected static Object[]` | `NULL_ARGS` Empty arguments for reflection calls

Constructor Summary
`BeanMetaData(Class beanClass)`

Method Summary
`int` | `attributeCount()` DOCUMENT ME!
`BeanAttributeList` | `createAttributeList(BeanElement parent)`
`static BeanMetaData` | `get(Class beanClass)` Static helper method to find and cache meta data objects for bean types
`Object` | `getData(int index, Object bean)`
`int` | `getIndex(QName qName)`
`int` | `getIndex(String name)`
`QName` | `getQName(int index)`
`protected void` | `handleException(Exception e)`
`void` | `setData(int index, Object bean, Object data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL_ARGS

    protected static final Object[] NULL_ARGS

  Empty arguments for reflection calls

Constructor Detail

### BeanMetaData

    public BeanMetaData(Class beanClass)

Method Detail

### get

    public static BeanMetaData get(Class beanClass)

  Static helper method to find and cache meta data objects for bean types

  Parameters:
    `beanClass` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### attributeCount

    public int attributeCount()

  DOCUMENT ME!

  Returns:
    the number of attribtutes for this bean type

### createAttributeList

    public BeanAttributeList createAttributeList(BeanElement parent)

### getQName

    public QName getQName(int index)

### getIndex

    public int getIndex(String name)

### getIndex

    public int getIndex(QName qName)

### getData

    public Object getData(int index,
                          Object bean)

### setData

    public void setData(int index,
                        Object bean,
                        Object data)

### handleException

    protected void handleException(Exception e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.